#3054 closed defect (fixed)

gdb 7.12.1 on RSB 4.12 branch fail to build on Archlinux

Reported by: AndiK Owned by: Andreas Kölbl <andreas.koelbl@…>
Priority: normal Milestone: 5.1
Component: unspecified Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

7.12.1 does not compile with latest guile
As already stated here: https://sourceware.org/bugzilla/show_bug.cgi?id=21104
GDB in version 7.12.1 fails when trying to compile on Archlinux. GDB uses deprecated functions of libguile which were gone in version 2.2 of libguile. As GDB states in its configure script to support version 2.2 of libguile it fails compiling.

Tested with the latest rtems source builder on master.

Attachments (1)

rsb-report-arm-rtems4.12-gdb-7.12-x86_64-linux-gnu-1.txt (13.1 KB) - added by AndiK on Jun 28, 2017 at 8:13:10 AM.
rtems source builder gdb report

Download all attachments as: .zip

Change History (6)

Changed on Jun 28, 2017 at 8:13:10 AM by AndiK

rtems source builder gdb report

comment:1 Changed on Jun 28, 2017 at 4:09:15 PM by Joel Sherrill

I have no idea what guile is being used for but based on the comments in the gdb PR, it looks like it isn't getting fixed on the 7.12 branch. Looks like Freddie's suggestion is the most practical one.

Freddie Chopin 2017-05-02 21:23:58 UTC
For me a "workaround" is to explicitly disable guile by passing --with-guile=no to GDB's configure script

A semi-proper solution for 7.12 would be to detect the newer guile version and disable guile.

The PR thread doesn't mention if this is fixed in a newer gdb which leads me to believe that it hasn't been.

comment:2 Changed on Jun 28, 2017 at 4:26:58 PM by Joel Sherrill

Follow up based on discussions on the gdb PR. This is also broken with gdb 8.0. ArchLinux? uses gdb 8.0 with guile 2.0.

We have two options:

  • build a known guile version as a dependency for gdb
  • disable guile

guile (Scheme) is used as an alternative to Python to program gdb from a user perspective.

My personal recommendation to you would be to disable guile in the RSB configuration files and submit a patch.

Whether or not this is the best permanent solution is up for discussion from an RTEMS community discussion. I suspect it is the best solution though.

comment:3 Changed on Jul 3, 2017 at 9:59:59 PM by Andreas Kölbl <andreas.koelbl@…>

Owner: set to Andreas Kölbl <andreas.koelbl@…>
Resolution: fixed
Status: newclosed

In d413d7e/rtems-source-builder:

Error: Processor CommitTicketReference failed
/data/trac/repo/rtems-source-builder.git does not appear to be a Git repository.

comment:4 Changed on Jul 12, 2017 at 10:33:32 PM by Chris Johns

Milestone: 4.12.14.12.0

comment:5 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.